# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'afc_salesforce/version'

Gem::Specification.new do |spec|
  spec.name          = "afc_salesforce"
  spec.version       = AFCSalesforce::VERSION
  spec.authors       = ["Donavan White"]
  spec.email         = ["donavan.white@americanfinancing.net"]
  spec.license       = 'MIT'

  spec.summary       = %q{Salesforce Library for the AFC Salesforce Instance}
  spec.description   = %q{Ruby lib for handling the connection to REST endpoints on any Sandbox and Production Salesforce}
  spec.homepage      = "https://www.americanfinancing.net"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "pry", "~> 0"
  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "simplecov", "~> 0.14"
  spec.add_development_dependency "factory_girl", "~> 4.8"
  spec.add_runtime_dependency 'restforce', '~> 2.5', '>= 2.5.3'
  spec.add_dependency "json", "~> 1.7"
end
